
From: Andi Kleen <ak@muc.de>

This driver was bogusly relying on the dropping of the __exit section at link
time.  cpia_exit() is calling proc_cpia_destroy(), which doesn't even exist
if !CONFIG_MODULE.



 25-akpm/drivers/media/video/cpia.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/media/video/cpia.c~cpia-section-fix drivers/media/video/cpia.c
--- 25/drivers/media/video/cpia.c~cpia-section-fix	Tue May  6 14:30:51 2003
+++ 25-akpm/drivers/media/video/cpia.c	Tue May  6 14:30:51 2003
@@ -1409,12 +1409,10 @@ static void proc_cpia_create(void)
 		LOG("Unable to initialise /proc/cpia\n");
 }
 
-#ifdef MODULE
-static void proc_cpia_destroy(void)
+static void __exit proc_cpia_destroy(void)
 {
 	remove_proc_entry("cpia", 0);
 }
-#endif /*MODULE*/
 #endif /* CONFIG_PROC_FS */
 
 /* ----------------------- debug functions ---------------------- */

_
